import request from '@/utils/request'
import { pureResponseData } from './utils'

export function getAdvert(id) {
  return pureResponseData(request({
    url: `/api/admin/advert/${id}`,
    method: 'get'
  }))
}

export function getAdvertList(params) {
  return pureResponseData(request({
    url: `/api/admin/advert`,
    method: 'get',
    params
  }))
}

export function updateAdvert(data) {
  return pureResponseData(request({
    url: `/api/admin/advert/${data.advId}`,
    method: 'put',
    data
  }))
}

export function saveAdvert(data) {
  return pureResponseData(request({
    url: '/api/admin/advert',
    method: 'post',
    data
  }))
}
