import request from '@/utils/request'
import { pureResponseData } from './utils'

export function getGalleryType(params) {
  return pureResponseData(request({
    url: `/api/admin/galleryType`,
    method: 'get',
    params
  }))
}

export function getGalleryList(params) {
  return pureResponseData(request({
    url: `/api/admin/gallery`,
    method: 'get',
    params
  }))
}

export function saveGallery(data) {
  return pureResponseData(request({
    url: `/api/admin/gallery`,
    method: 'post',
    data
  }))
}

export function deleteGallery(id) {
  return pureResponseData(request({
    url: `/api/admin/gallery/${id}`,
    method: 'delete'
  }))
}

