import request from '@/utils/request'
import { pureResponseData } from './utils'

export function getNews(id) {
  return pureResponseData(request({
    url: `/api/admin/news/${id}`,
    method: 'get'
  }))
}

export function updateNews(data) {
  return pureResponseData(request({
    url: `/api/admin/news/${data.newsId}`,
    method: 'put',
    data
  }))
}

export function saveNews(data) {
  return pureResponseData(request({
    url: '/api/admin/news',
    method: 'post',
    data
  }))
}

export function getNewsList(params) {
  return pureResponseData(request({
    url: `/api/admin/news`,
    method: 'get',
    params
  }))
}
