import request from '@/utils/request'
import { pureResponseData } from './utils'

export function getRecommenderList(params) {
  return pureResponseData(request({
    url: `/api/admin/recommender`,
    method: 'get',
    params
  }))
}

export function exportRecommenderList(params) {
  return request({
    url: `/api/admin/recommender/export`,
    method: 'get',
    responseType: 'blob',
    params
  })
}

export function updateRecommender(data) {
  return pureResponseData(request({
    url: `/api/admin/recommender/${data.serialNo}`,
    method: 'put',
    data
  }))
}
